Subject: Re: [bug#51122] [PATCH v2] maint: Factorize po xref translation.
From: Julien Lepiller <[email-masked]>
To: "pelzflorian (Florian Pelz)" <[email-masked]>
Cc: [email-masked]
Date: Sun, 17 Oct 2021 22:12:29 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Le Sat, 16 Oct 2021 20:45:02 +0200,
"pelzflorian (Florian Pelz)" <[email-masked]> a écrit :

> On Sat, Oct 16, 2021 at 04:12:15AM +0200, Julien Lepiller wrote:
> > I managed to change the dependency to only guix/po.go, and to make
> > it not phony, so the translated manuals don't get rebuilt on every
> > make invocation anymore. I checked again that "make" from a clean
> > checkout and "make as-derivation" still work.  
> 
> Good, thank you!  I had thought it would be more complicated than
> moving out the PHONY directive, but all works OK:
> 
> Without patch, the fuzzy references cause make to fail for Weblate’s
> version of the Spanish manual.  With patch, make runs through fine as
> you write.  GUIX_ALLOW_ME_TO_USE_PRIVATE_COMMIT=yes make
> update-guix-package && git commit and guix pull and still works, guix
> build guix failed in check but for unrelated reasons, so the patch
> LGTM.  Except:
> 
> As we discussed before, you only remove code from guix/self.scm, so
> you should not add a copyright line.
> 
> Regards,
> Florian

Thanks, pushed as 0623138ffa5b066afc25547ffdeb97753cb0ee9a, and
followed by an nls update.